"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.upload = exports.isVideo = void 0;

var _promise = _interopRequireDefault(require("@babel/runtime/core-js/promise"));

var videoExtensions = ['mp4', 'webm'];

var isVideo = function isVideo(path) {
  for (var i = 0; i < videoExtensions.length; i++) {
    var extension = videoExtensions[i];
    if (path.endsWith(extension)) return true;
  }

  return false;
};

exports.isVideo = isVideo;

var upload = function upload(cloudinary) {
  return function (id, absolutePath) {
    return new _promise.default(function (resolve, reject) {
      return cloudinary.v2.uploader.upload(absolutePath, {
        public_id: id,
        resource_type: isVideo(absolutePath) ? 'video' : 'image'
      }, function (error, result) {
        if (error) reject(error);
        resolve(result);
      });
    });
  };
};

exports.upload = upload;