"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _cloudinary = _interopRequireDefault(require("cloudinary"));

var _ImageCloudinaryOriginal = _interopRequireDefault(require("./ImageCloudinaryOriginal"));

var _ImageCloudinaryFixed = _interopRequireDefault(require("./ImageCloudinaryFixed"));

var _ImageCloudinaryFluid = _interopRequireDefault(require("./ImageCloudinaryFluid"));

var _default = function _default(_ref, _ref2) {
  var type = _ref.type,
      pathPrefix = _ref.pathPrefix,
      getNodeAndSavePathDependency = _ref.getNodeAndSavePathDependency,
      reporter = _ref.reporter,
      otherProps = (0, _objectWithoutProperties2.default)(_ref, ["type", "pathPrefix", "getNodeAndSavePathDependency", "reporter"]);
  var cloudName = _ref2.cloudName,
      apiKey = _ref2.apiKey,
      apiSecret = _ref2.apiSecret;

  if (type.name !== "ImageCloudinary") {
    return {};
  }

  _cloudinary.default.config({
    cloud_name: cloudName,
    api_key: apiKey,
    api_secret: apiSecret
  });

  var nodeOptions = {
    pathPrefix: pathPrefix,
    getNodeAndSavePathDependency: getNodeAndSavePathDependency,
    reporter: reporter,
    cloudinary: _cloudinary.default
  };
  return {
    fixed: (0, _ImageCloudinaryFixed.default)(nodeOptions),
    fluid: (0, _ImageCloudinaryFluid.default)(nodeOptions),
    original: (0, _ImageCloudinaryOriginal.default)(nodeOptions)
  };
};

exports.default = _default;